<?php


namespace Schaffen\WarehouseInventory\WarehouseInventory\Repositories;


use Freelabois\LaravelQuickstart\Extendables\Repository;
use Schaffen\WarehouseInventory\WarehouseInventory\Models\AccountInventory;
use Schaffen\WarehouseInventory\WarehouseInventory\Models\SnapshotInventory;

class AccountInventoryRepository extends Repository
{
   protected $model = AccountInventory::class;

   protected $searchableFields = [
   ];

    public function storeOrUpdateMobile($values, int $id = null, array $relations = [])
    {
        foreach ($values['conta_corrente'] as $value) {
            $value['cc_fk_pve_codigo'] = $value['pve_codigo'];
            $value['cc_quantidade'] = $value['vei_quantidade'];
            $value['cc_valor_unitario'] = $value['vei_valor_unitario'];
            $value['cc_fk_loe_codigo'] = $values['loe_codigo'];
            $value['cc_sentido'] = 0;
            $value['cc_fk_ope_codigo'] = 'VENDA';
            $value['cc_codigo_operacao'] = $values['ven_codigo'];

            try {
                parent::storeOrUpdate($value, $id, $relations);
            }catch (\Exception $e){
                return  $e;
            }
        }
        return true;
    }
}
