<?php

namespace Schaffen\WarehouseInventory\WarehouseInventory\Models;


use Illuminate\Database\Eloquent\Model;
use Schaffen\Core\Product\Traits\HasProduct;
use Schaffen\WarehouseInventory\WarehouseInventory\Traits\HasWarehouseInventory;

class SnapshotInventory extends Model
{
    use HasProduct, HasWarehouseInventory;

    protected $connection = 'dynamicdb';
    protected $prefix = 'sna';
    public $timestamps = false;
    protected $table = "movimentacao.snapshot";
    protected $primaryKey = "sna_codigo";
    protected $fillable = [
        "sna_quantidade",
        "sna_valor_medio",
        "sna_serial",
        "sna_fk_pve_codigo",
        "sna_fk_loe_codigo"
    ];

}
